<template>
  <div class="full-screen">
        <div id="map" ref="rootmap"></div>
        <sgis-layer-controller :preset="'warningPreset'"></sgis-layer-controller>
  </div>
</template>

<script>
import 'leaflet/dist/leaflet.css'
import Sgis from '@src/Sgis'
import SgisLayerController from '@components/LayerController/LayerController'
import { mapMutations, mapState } from 'vuex'

export default {
  name: 'MapTemplate',
  components: {SgisLayerController, },
  datas:{
      ...mapState("/",{})
  },
  mounted(){
      this.$nextTick(() => {
          this.init()
      })
  },
  methods:{
      ...mapMutations({
        setMapObj: 'setMapObj',
        setLayerHelper: 'setLayerHelper'
      }),
      init() {
        const mapcontainer = this.$refs.rootmap
        this.mapObj = Sgis.initMap(mapcontainer)
        this.basemapHelper = Sgis.initBasemaps(this.mapObj.map, this.mapObj.L) // 初始化底图
        this.vectorLayerHelper = Sgis.initLayers(this.mapObj.map, this.mapObj.L, {}, this.$nodeEnv) // 初始化业务图层
        this.setLayerHelper(this.vectorLayerHelper)
        return this.map
      },
      setLayerHelper(){

      }
  }
}
</script>

<style lang="less">

.full-screen{
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    position: absolute;
  #map{
    height: 100%;
    width: 100%;
  }
}
</style>>
